package com.iconplus.smartproc.model.request;

import com.iconplus.smartproc.helper.base.BaseRequest;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.domain.Pageable;

import java.sql.Timestamp;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DrpRequest extends BaseRequest {
    private Long id;
    private Integer tahun;
    private Boolean isApprove;
    private Timestamp approveDate;
    private Boolean isActive;
    private transient Pageable pageable;
}
